#ifndef AnimatedTextEditor_h
#define AnimatedTextEditor_h

// $Id: AnimatedTextEditor.h,v 1.5 2009/09/09 02:29:36 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software , Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file AnimatedTextEditor.h
  \brief Animated text editor
  \author Hugo Pereira
  \version $Revision: 1.5 $
  \date $Date: 2009/09/09 02:29:36 $
*/

#include "TextEditor.h"

class TransitionWidget;

//! Animated text editor
/*! uses fading when calling setPlainText, setHTML or clear */
class AnimatedTextEditor: public TextEditor
{

  public:

  //! constructor
  AnimatedTextEditor( QWidget* parent = 0 );

  //! destrutor
  virtual ~AnimatedTextEditor( void );

  //! set text
  virtual void setPlainText( const QString& );

  //! set text
  virtual void setHtml( const QString& );

  //! clear
  virtual void clear( void );

  protected:

  //! transition widget
  TransitionWidget& _transitionWidget( void ) const
  { return *transition_widget_; }

  private:

  //! transition widget
  TransitionWidget* transition_widget_;


};

#endif
